var dfs11000_LancamentoSaida_Repositories = function(localStorageEngine, restEngine) {

    this.salvaVencimento = function(vencimento) {
        return restEngine.post('df#/crud/contareceber/save', {
            "requestType": "Row",
            "row": vencimento
        });
    };

    this.excluiVencimento = function(vencimento){
        return restEngine.post('df#/crud/contareceber/remove', {
            "requestType": "Row",
            "row": vencimento
        });
    };

    this.excluirNota = function(filial, lancamento) {
        return restEngine.post('df_saida#/excluir_nota_saida',
            {
                "requestType": "FilterData",
                "filter": [
                    {
                        "name": "P_CDFILIAL",
                        "operator": "=",
                        "value": filial
                    },
                    {
                        "name": "P_LANCAMENTO",
                        "operator": "=",
                        "value": lancamento
                    }
                ]
            }
        );
    };

    this.retornaClienteFilial = function(filial, cliente) {
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": filial
            },
            {
                "name": "CDCLIENTE",
                "operator": "=",
                "value": cliente
            }
        ];
        return localStorageEngine.download("df#/crud/clienfilial", filter);
    };
    
    this.saveDataUpdate = function (rowsUpdate, NEWDTENTRSAID) {
        var data = {};
        data.rowsUpdate = rowsUpdate;
        data.newDate = NEWDTENTRSAID;
        
        return restEngine.post('df_saida#/notafiscal_dataupdate/save', {
            "requestType": "Row",
            "row": data
        });
    };
};

Configuration(function(ContextRegister) {
    ContextRegister.register('Dfs11000_LancamentoSaida_Repositories', dfs11000_LancamentoSaida_Repositories);
});