function consistenciasFiscais() {
    const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
    const z = new ZeedhiAPIConstructor(browser, protractor);
    const Helper = require('teknisa-helper');
    const geralPage = new Helper.geral();
    const protractorHelper = require('protractor-helper');
    const j = require('../../../json/leitorJson.po');
    const self = this;
    this.abrir = () => {
        z.component.menu.open();
        protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
        z.component.menu.clickByPath(['Parametrização', 'Documentos Fiscais', 'Consistências Fiscais']);
        geralPage.esperarLoading();
    };

    this.inserirAliqValidaCstImposto = (cdimposto, cdsitutribnfe, vraliquota) => {
        geralPage.clickAcoes();
        geralPage.clickActionPorIndice(1);
        geralPage.searchAndClickGridField('CDIMPOSTO', cdimposto);
        z.component.footer.clickRightActionByLabel('Filtrar');
        geralPage.clickAdicionar();
        geralPage.searchAndClickGridField('CDIMPOSTO', cdimposto);
        geralPage.searchAndClickGridField('CDSITUTRIBNFE', cdsitutribnfe, 'CDSITUTRIB');
        geralPage.fillField('VRALIQUOTA', vraliquota);
        geralPage.clickSalvar();
    };

    this.excluirAliqValidaCstImposto = (cdimposto) => {
        geralPage.clickAcoes();
        geralPage.clickActionPorIndice(1);
        geralPage.searchAndClickGridField('CDIMPOSTO', cdimposto);
        z.component.footer.clickRightActionByLabel('Filtrar');
        geralPage.filterIt(j.getValor('cdsitutribnfe99'));
        geralPage.clickGrid('CDSITUTRIBNFE', j.getValor('cdsitutribnfe99'), '98674920340407954683218', false);
        geralPage.clickExcluir();
        geralPage.clickSim();
    };
}
module.exports = new consistenciasFiscais();
